import { NotifyService } from '../notify/notify.service';
import { TranslateService } from '../translate/translate.service';
export declare class UtilityService {
    private notifyService;
    private translateService;
    handle: {
        error: (err: any) => void;
    };
    constructor(notifyService: NotifyService, translateService: TranslateService);
    hashMD5: (key: string) => string;
    arrayToObject: <T>(items: T[], key: string) => {
        [key: string]: T;
    };
    changeAliasLowerCase(alias: string): string;
    timeDifference: (previous: any, current?: any) => string;
}
